Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Remove provider from service territory DELETEGet providers in a service territory GETList Service Territories GETCreate Service Territory POSTDelete service territory DELETEGet Service Territory GETUpdate service territory PUT
PeopleService territories

Remove provider from service territory


Removes a provider from a service territory. Either tierId or removeFromProject query parameter is required. If tierId is provided: Removes the provider from the specified talent pool within the group. If removeFromProject is true: Removes the provider from all service territories in the project.

DELETE
/api/rest/v2/service-territories/{service_territory_uuid}/providers/{provider_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

service_territory_uuid*string

Service Territory UUID

provider_id*integer

Provider ID

Query Parameters

tierId?integer

Talent pool ID (tier) to remove the provider from

removeFromProject?boolean

If true, removes the provider from all talent pool groups in the project

curl -X DELETE "https://api-sandbox.fndev.net/api/rest/v2/service-territories/string_value/providers/0"
{
  "success": true,
  "message": "Provider 557 removed from 1 talent pool(s)",
  "removed_count": 1
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status_code": 502,
  "message": "Unable to remove project provider due to invalid response from upstream service."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Create Talent Pool Group POST

Previous Page

Get providers in a service territory GET

Next Page

curl -X DELETE "https://api-sandbox.fndev.net/api/rest/v2/service-territories/string_value/providers/0"